Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-lisp-ddt-07.txt

From: Anton Smirnov <[email-masked]>
Date: Thu, 08 Sep 2016 22:23:29 +0200

Hello Ben,
    thanks for your comments (and for very useful list of places in the 
document requiring improvements). Authors of the draft have addressed 
questions raised in the review and -08 revision of the draft has been 
uploaded. Please give another pass to the document; hopefully now it is 
more strict in defining intended behavior and easier to read.

Anton

On 08/02/2016 12:06 PM, Ben Niven-Jenkins wrote:
> Hello,
>
> I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>
> Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.
>
> Document: draft-ietf-lisp-ddt-07.txt
> Reviewer: Ben Niven-Jenkins
> Review Date: 2nd August 2016
> Intended Status: Experimental
>
>
> Summary:
> I have some minor concerns about this document that I think should be resolved before publication.
>
> Comments:
> I found the document to be easily readable even though I am not well versed in LISP.
>
> Minor issues:
> 1) The document appears quite light on RFC2119 language (MUST/SHOULD). There are probably areas of the protocol specification that may benefit from more use of RFC2119 language.
>
> To give one example: Section 7.3.2 says "this Map-Reply will indicate the least-specific XEID-prefix matching the requested XEID for which no delegations exist and will have a TTL value of 15 minutes.” is that really a “SHOULD [or MUST?] have a TTL value of 15 minutes”?
>
> 2) In a few places the document refers to a “proxy Map-Reply service” without really explaining what it is. A description in the terminology section would help, or a reference to another document that defines the term.
>
>
> HTH
> Ben
>
>

---

From: Ben Niven-Jenkins <[email-masked]>
Date: Mon, 19 Sep 2016 11:31:34 +0100

Hi Anton,

> On 8 Sep 2016, at 21:23, Anton Smirnov <[email-masked]> wrote:
> 
>   Hello Ben,
>   thanks for your comments (and for very useful list of places in the document requiring improvements). Authors of the draft have addressed questions raised in the review and -08 revision of the draft has been uploaded. Please give another pass to the document; hopefully now it is more strict in defining intended behavior and easier to read.

Great, I will take a look this week and provide any additional comments.

Ben